loss: geometric l2
n_future: 7
max_epochs: 15
lr: 1e-4
finetune: true
pretrained_checkpoint_path: 
  /pscratch/sd/s/shas1693/results/swin/swin_73var_depth12_geo_invar/00/training_checkpoints/best_ckpt.tar
data_loader_config: pytorch
activation_ckpt: true
num_data_workers: 2
depth: 12
drop_path_rate: 0.1
add_zenith: true
add_orography: true
add_landmask: true
residual: false
log_to_wandb: true
batch_size: 64
in_channels:
- 0
- 1
- 2
- 3
- 4
- 5
- 6
- 7
- 8
- 9
- 10
- 11
- 12
- 13
- 14
- 15
- 16
- 17
- 18
- 19
- 20
- 21
- 22
- 23
- 24
- 25
- 26
- 27
- 28
- 29
- 30
- 31
- 32
- 33
- 34
- 35
- 36
- 37
- 38
- 39
- 40
- 41
- 42
- 43
- 44
- 45
- 46
- 47
- 48
- 49
- 50
- 51
- 52
- 53
- 54
- 55
- 56
- 57
- 58
- 59
- 60
- 61
- 62
- 63
- 64
- 65
- 66
- 67
- 68
- 69
- 70
- 71
- 72
out_channels:
- 0
- 1
- 2
- 3
- 4
- 5
- 6
- 7
- 8
- 9
- 10
- 11
- 12
- 13
- 14
- 15
- 16
- 17
- 18
- 19
- 20
- 21
- 22
- 23
- 24
- 25
- 26
- 27
- 28
- 29
- 30
- 31
- 32
- 33
- 34
- 35
- 36
- 37
- 38
- 39
- 40
- 41
- 42
- 43
- 44
- 45
- 46
- 47
- 48
- 49
- 50
- 51
- 52
- 53
- 54
- 55
- 56
- 57
- 58
- 59
- 60
- 61
- 62
- 63
- 64
- 65
- 66
- 67
- 68
- 69
- 70
- 71
- 72
train_data_path: /pscratch/sd/p/pharring/73var-6hourly/staging/train
valid_data_path: /pscratch/sd/p/pharring/73var-6hourly/staging/test
inf_data_path: /pscratch/sd/p/pharring/73var-6hourly/staging/out_of_sample
time_means_path: /pscratch/sd/p/pharring/73var-6hourly/staging/stats/time_means.npy
global_means_path: /pscratch/sd/p/pharring/73var-6hourly/staging/stats/global_means.npy
global_stds_path: /pscratch/sd/p/pharring/73var-6hourly/staging/stats/global_stds.npy
time_diff_means_path: /pscratch/sd/p/pharring/73var-6hourly/staging/stats/time_diff_means.npy
time_diff_stds_path: /pscratch/sd/p/pharring/73var-6hourly/staging/stats/time_diff_stds.npy
orography_path: /pscratch/sd/p/pharring/73var-6hourly/staging/invariants/orog.nc
landmask_path: /pscratch/sd/p/pharring/73var-6hourly/staging/invariants/lsm.nc
track_channels: [u10m, v10m, t2m, tcwv]
channel_names:
- u10m
- v10m
- u100m
- v100m
- t2m
- sp
- msl
- tcwv
- u50
- u100
- u150
- u200
- u250
- u300
- u400
- u500
- u600
- u700
- u850
- u925
- u1000
- v50
- v100
- v150
- v200
- v250
- v300
- v400
- v500
- v600
- v700
- v850
- v925
- v1000
- z50
- z100
- z150
- z200
- z250
- z300
- z400
- z500
- z600
- z700
- z850
- z925
- z1000
- t50
- t100
- t150
- t200
- t250
- t300
- t400
- t500
- t600
- t700
- t850
- t925
- t1000
- q50
- q100
- q150
- q200
- q250
- q300
- q400
- q500
- q600
- q700
- q850
- q925
- q1000

nettype: swin
embed_dim: 768
patch_size: 4
window_ratio: 80
num_heads: 8
full_pos_embed: true
rel_pos: false
mlp_ratio: 4
activation_ckpt_idx: 0
checkpointing: false
log_to_screen: true
save_checkpoint: true
project: ERA5_swin
entity: weatherbenching
optimizer_type: adam
scheduler: CosineAnnealingLR
dt: 1
channel_weights: none
img_size: [720, 1440]
exp_dir: /pscratch/sd/s/shas1693/results/swin
model_grid_type: equiangular
enable_amp: true
name: swin_73var_depth12_geo_invar_8step_00
group: swin_73var_depth12_geo_invar_8step
data_num_shards: 64
data_shard_id: 0
n_in_channels: 73
n_out_channels: 73
experiment_dir: /pscratch/sd/s/shas1693/results/swin/swin_73var_depth12_geo_invar_8step/00
checkpoint_path: 
  /pscratch/sd/s/shas1693/results/swin/swin_73var_depth12_geo_invar_8step/00/training_checkpoints/ckpt.tar
best_checkpoint_path: 
  /pscratch/sd/s/shas1693/results/swin/swin_73var_depth12_geo_invar_8step/00/training_checkpoints/best_ckpt.tar
resuming: true
global_batch_size: 64
local_batch_size: 1
img_shape_x: 720
img_shape_y: 1440
